class SignupModel {
  final String email;
  final String name;
  final String contactNumber;

  SignupModel({
    required this.email,
    required this.name,
    required this.contactNumber,
  });

  // Convert JSON to SignupModel
  factory SignupModel.fromJson(Map<String, dynamic> json) {
    return SignupModel(
      email: json['email'] ?? '',
      name: json['name'] ?? '',
      contactNumber: json['mobile'] ?? '',
    );
  }

  // Convert SignupModel to JSON
  Map<String, dynamic> toJson() {
    return {'email': email, 'name': name, 'mobile': contactNumber};
  }
}
